import { createApp } from 'vue'
import App from './App.vue'

// 状态管理
import pinia from './stores'

// 路由
import router from './router'

// 全局样式（分开 import，每个文件都能获得 additionalData 注入的变量）
import 'element-plus/theme-chalk/dark/css-vars.css'
import 'element-plus/dist/index.css'
import './styles/reset.scss'
import './styles/element.scss'
import './styles/transitions.scss'
import 'virtual:uno.css'
import 'nprogress/nprogress.css'

// 业务样式
import './assets/styles/main.scss'

// 权限控制
import './permission'

// Mock 拦截（开发阶段用本地假数据，启动后端后可注释此行）
// import './mock'

const app = createApp(App)

app.use(pinia)
app.use(router)

app.mount('#app')
